Subject: fortran/PC summary

From: Fredrik B|kman <[email-masked]>
Date: Thu, 28 Nov 1996 10:58:35 +0100

Dear CCL fellows,
this Monday I asked what Fortran compilers
that you suggest for a Pentium/Windows95 system.
Many thanks to those who answered!
Since I got more requests for summaries than 
answers to my question a summary follows. 
(Apart from the ones listed below there is
also the Microsoft Fortran 5.1 compiler (for DOS?))

Thanks again,
Fredrik

--------
From: Leif Laaksonen <[email-masked]>
I use the Microsoft Fortran PowerStation 4.0, which is FORTRAN90 compiler,
with no problem. I appreciate that FORTRAN is using the same Microsoft
Developer Studio environment as C++, which enables an efficient combination
of the both languages. The development environment is more powerfull than
most similar tools on Unix boxes.
--------
From: John Marelius <[email-masked]> (translated)
Computer intensive jobs better under WindowsNT than Windows95.
   * Microsoft Fortran PowerStation (see http://www.microsoft.com/devonly)
     [FB: http://www.microsoft.com/fortran/ , presently 'access forbidden',
      but two days ago this page held some interesting stuff]
   * Lahey FORTRAN, see http://www.lahey.com
   * NA Software, see http://www.nasoftware.co.uk/home.html
--------
From: RHS Linux User <[email-masked]>
if you want to restrict yourself to fortran 77
the fortran system that I found to be best for the specific combination
you mentioned (P5 + Windows95) is the Watcom F77 10.6 system. With respect
to Windows compatibility, code size and -speed, it is far superior to
other packages like the Lahey Fortran 90. What I like most about the
Watcom compiler is that it is code compatible to the Watcom C/C++ 10.6
compiler, so you can mix F77 with C/C++.
--------
From: "Ponec, Robert" <[email-masked]>
I did not do any exhaustive review of existing compilers but there is one   
which I am using. It is MS Fortran Power Station v.4.0 and I am quite   
satisfied with it.
--------